package com.CricleDependent;

import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.stereotype.Component;

@Aspect
@Component
public class DependentAspect {
    @Pointcut("execution(* com.CricleDependent.*.*(..))")
    public void setPointCut(){}

    @Around("setPointCut()")
    public Object Around(ProceedingJoinPoint joinPoint) throws Throwable {
        System.out.println(1);
        Object proceed = joinPoint.proceed();
        System.out.println(2);
        return null;
    }
}
